curl --request GET \
--url https://api.synctera.com/v1/reward_templates \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.synctera.com/v1/reward_templates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.synctera.com/v1/reward_templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"reward_templates": [
{
"currency": "USD",
"internal_account_id": "42943c51-e4ff-4e57-9558-08cab6b963c8",
"is_enabled": true,
"creation_time": "2010-05-06T12:23:34.321Z",
"id": "85943c51-e4ff-4e57-9558-08cab6b96364",
"last_updated_time": "2010-05-06T12:23:34.321Z",
"subtype": "ACCOUNT_OPENING_BONUS",
"tenant": "abcdef_ghijkl",
"amount": 1000,
"description": "Referral Reward",
"metadata": {}
}
],
"next_page_token": "a8937a0d"
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}List reward templates
Get paginated list of reward templates
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Specifies the sort order for the returned reward templates.
amount:asc, amount:desc, description:asc, description:desc, is_enabled:asc, is_enabled:desc, last_updated_time:asc, last_updated_time:desc Return reward templates with the specified description. A * character can be used as a wildcard to match any characters.
Optional pagination token to be provided to retrieve subsequent pages, returned from previous get
"a8937a0d"
Return reward templates with the specified id. Multiple IDs can be provided as a comma-separated list.
"64438afd-fa20-4010-a573-2bbdca77cdb6,84ef251c-ab8f-47a5-bbfd-a16648f95157"
Return reward templates with the specified is_enabled flag.
Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.
x >= 1100
A short string representing the sub-type of the reward. This will be used as the subtype of the resulting transaction.
ACCOUNT_OPENING_BONUS, ACCOUNT_OPENING_BONUS_REVERSAL, CASHBACK, CASHBACK_REVERSAL, INTEREST_RATE_BONUS, INTEREST_RATE_BONUS_REVERSAL, LOAN_INTEREST_RATE_REDUCTION, LOAN_INTEREST_RATE_REDUCTION_REVERSAL, MANUAL_ADJUSTMENT, MANUAL_ADJUSTMENT_REVERSAL, MILES, MILES_REVERSAL, MISCELLANEOUS, MISCELLANEOUS_REVERSAL, POINTS, POINTS_REVERSAL, REFERRAL_BONUS, REFERRAL_BONUS_REVERSAL Response
List of reward templates
Was this page helpful?

